/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2005 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.0 of the PHP license,       |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_0.txt.                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: Andrey Hristov                                               |
  +----------------------------------------------------------------------+
*/

/* $Id: php_shp.h 288508 2009-09-21 08:26:44Z andrey $ */

#ifndef PHP_SHP_H
#define PHP_SHP_H

#include "shapefil.h"

extern zend_module_entry shp_module_entry;
#define phpext_shp_ptr &shp_module_entry

#define PHP_SHP_VERSION "0.9.2-dev"

#ifdef PHP_WIN32
#define PHP_SHP_API __declspec(dllexport)
#else
#define PHP_SHP_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(shp);
PHP_MSHUTDOWN_FUNCTION(shp);
PHP_MINFO_FUNCTION(shp);

#ifdef ZTS
#define SHP_G(v) TSRMG(shp_globals_id, zend_shp_globals *, v)
#else
#define SHP_G(v) (shp_globals.v)
#endif

#endif	/* PHP_SHP_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
